/***************************************************************************
                          SIMPLY POWERFUL TOOLKIT (SPTK)
                          CMailConnect.cpp  -  description
                             -------------------
    begin                : 25 June 2003
    copyright            : (C) 2000-2005 by Alexey S.Parshin
    email                : alexeyp@gmail.com
 ***************************************************************************/

/***************************************************************************
   This library is free software; you can redistribute it and/or modify it 
   under the terms of the GNU Library General Public License as published by
   the Free Software Foundation; either version 2 of the License, or (at 
   your option) any later version.

   This library is distributed in the hope that it will be useful, but 
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library
   General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; if not, write to the Free Software Foundation, 
   Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.

   Please report all bugs and problems to "alexeyp@gmail.com"
 ***************************************************************************/

#include <stdio.h>

#include <sptk3/CBuffer.h>
#include <sptk3/CException.h>
#include <sptk3/CMailConnect.h>

CMailConnect::CMailConnect() {
}

CMailConnect::~CMailConnect() {
}

void CMailConnect::sendMessage() {
   FILE *sendmail = popen("mail -t","w+b");
   if (!sendmail)
      sendmail = popen("sendmail -t","w+b");
   if (!sendmail) 
      throw CException("Can't find mail or sendmail");

   CBuffer messageBuffer;
   mimeMessage(messageBuffer);
   fprintf (sendmail, messageBuffer.data());
   pclose(sendmail);
}
